Delete a pronunciation dictionary
Permanently delete a pronunciation dictionary.
DELETE
/
pronunciation_dicts
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.pronunciationDicts.delete('c215a3e1-be41-4701-97e8-1d3c22f9a5b7');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.pronunciation_dicts.delete(
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.PronunciationDicts.Delete(context.TODO(), "c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.pronunciationDicts().delete("c215a3e1-be41-4701-97e8-1d3c22f9a5b7");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.pronunciation_dicts.delete("c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->pronunciationDicts->delete(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7'
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts delete \
--api-key 'My API Key' \
--id c215a3e1-be41-4701-97e8-1d3c22f9a5b7curl --request DELETE \
--url https://api.telnyx.com/v2/pronunciation_dicts/{id} \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}Authorizations
Telnyx API v2 key. Obtain from https://portal.telnyx.com
Path Parameters
The UUID of the pronunciation dictionary.
Example:
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7"
Response
Dictionary deleted successfully. No content returned.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.pronunciationDicts.delete('c215a3e1-be41-4701-97e8-1d3c22f9a5b7');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.pronunciation_dicts.delete(
"c215a3e1-be41-4701-97e8-1d3c22f9a5b7",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.PronunciationDicts.Delete(context.TODO(), "c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.pronunciationdicts.PronunciationDictDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.pronunciationDicts().delete("c215a3e1-be41-4701-97e8-1d3c22f9a5b7");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.pronunciation_dicts.delete("c215a3e1-be41-4701-97e8-1d3c22f9a5b7")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->pronunciationDicts->delete(
'c215a3e1-be41-4701-97e8-1d3c22f9a5b7'
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx pronunciation-dicts delete \
--api-key 'My API Key' \
--id c215a3e1-be41-4701-97e8-1d3c22f9a5b7curl --request DELETE \
--url https://api.telnyx.com/v2/pronunciation_dicts/{id} \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"code": "90202",
"title": "Validation failed",
"detail": "items must have at least one item",
"source": {
"pointer": "/items"
}
}
]
}